Issue 1726 Filenames starting with "_darcs" are always considered boring

Title Filenames starting with "_darcs" are always considered boring
Priority bug Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List danieldickison, darcs-devel, davidm, dmitry.kurochkin, kowey
Assigned To

Created on 2010-01-05.16:46:05 by danieldickison, last changed 2010-07-05.19:58:34 by davidm.

msg9725 (view) Author: danieldickison Date: 2010-01-05.16:46:03
Files whose names start with "_darcs" seem to always be considered boring, even if 
they don't match anything in the boring file, and even if you pass --boring to the 

For example:

$ darcs init
$ touch _darcsfoo
$ darcs whatsnew -ls --boring
No changes!
$ darcs add --boring _darcsfoo 
Skipping boring file _darcsfoo

darcs failed:  No files were added
msg9761 (view) Author: kowey Date: 2010-01-09.18:25:49
Thanks for the report.  Do you think I might be able to recruit you into making
a regression test out of this?


It sounds like it should be careful to block out _darcs/foo but not _darcsfoo.

msg9767 (view) Author: danieldickison Date: 2010-01-10.06:15:25
It gave me a good excuse to install msmtp to get `darcs send' working :)

I followed the (refreshingly simple) instructions from the link and sent the test 
patch.  I'm new to this so please let me know if I need to do anything else (e.g. 
to link this bug up with the patch).
msg9769 (view) Author: kowey Date: 2010-01-10.10:34:25
Cool, thanks!  

Just one more thing: if you could just do 'darcs send' without any arguments,
this will send the patch to patches@darcs.net which automatically creates an
entry on our patch tracker.  I'm saying this with the usual hopefulness for
seeing more patches out of you in the future :-D
msg9770 (view) Author: kowey Date: 2010-01-10.10:43:25
Hmm, you've either reacted really quickly or anticipated my request, in any case

One more question: what version(s) of darcs does this occur with?

At this stage, we pretty much just need somebody to track down the error and fix
it.  I bet it's easy.
msg9772 (view) Author: danieldickison Date: 2010-01-10.17:30:05
I had sent patch last night to patches@darcs.net, but I guess it took a few hours for 
it to show up.  For the record, it's patch133 .

I'm seeing the bug in darcs version 2.3.1 (release) and 2.3.0 (release) on OS X 
(10.6.2).  I haven't tried any other versions, though I believe it has been this way 
for a while.

I do use darcs quite a bit for personal projects, so I hope to be able to contribute 
more in the future.  Maybe I could even learn some Haskell at some point.
msg11680 (view) Author: davidm Date: 2010-07-05.19:58:33
The following patch updated issue issue1726 with status=resolved;resolvedin=2.6.0 HEAD

* Resolve issue1726: Files with _darcs prefix are always boring 
Ignore-this: d234fe8c508eae75173b30f8bf0eeb61
Date User Action Args
2010-01-05 16:46:05danieldickisoncreate
2010-01-09 18:25:52koweysetstatus: unknown -> needs-reproduction
nosy: + kowey
messages: + msg9761
assignedto: danieldickison
2010-01-10 06:15:27danieldickisonsetmessages: + msg9767
2010-01-10 10:34:28koweysetmessages: + msg9769
2010-01-10 10:43:27koweysetstatus: needs-reproduction -> needs-implementation
assignedto: danieldickison ->
messages: + msg9770
2010-01-10 17:30:07danieldickisonsetmessages: + msg9772
2010-03-22 15:41:57koweylinkpatch136 issues
2010-07-05 19:58:34davidmsetstatus: needs-implementation -> resolved
nosy: + davidm
messages: + msg11680
resolvedin: 2.8.0